// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
#include <stdio.h>
#include <tchar.h>
#include <comdef.h>
#import "c:\program files\Microsoft Visual Studio\VSS\win32\SSAPI.dll" no_namespace
// TODO: reference additional headers your program requires here

_inline void __cdecl __CRYTEKDLL_TRACE(const char *sFormat, ... )
{
	va_list vl;
	static char sTraceString[1024];
	
	va_start(vl, sFormat);
	vsprintf(sTraceString, sFormat, vl);
	va_end(vl);

	strcat(sTraceString, "\n");

	::OutputDebugString(sTraceString);	
}

#define _TRACE __CRYTEKDLL_TRACE